> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slng.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Jambonz STT

> Reference for the Jambonz custom WebSocket STT bridge channel, including init, audio, stop messages and the model_variant routing parameter.



## AsyncAPI

````yaml api-reference/asyncapi/bridges-jambonz.asyncapi.yaml /v1/bridges/jambonz/stt/{model_variant}
id: /v1/bridges/jambonz/stt/{model_variant}
title: Jambonz STT Bridge
description: >-
  Reference for the Jambonz custom WebSocket STT bridge channel, including init,
  audio, stop messages and the model_variant routing parameter.
servers:
  - id: production
    protocol: wss
    host: api.slng.ai
    bindings: []
    variables: []
  - id: staging
    protocol: wss
    host: stageapi.slng.ai
    bindings: []
    variables: []
address: /v1/bridges/jambonz/stt/{model_variant}
parameters: []
bindings:
  - protocol: ws
    version: latest
    value:
      method: GET
      headers:
        type: object
        properties:
          X-Region-Override:
            type: string
            description: Target region override. Auto-selected if not provided.
            x-parser-schema-id: <anonymous-schema-44>
          X-World-Part-Override:
            type: string
            description: Target world part override. Auto-selected if not provided.
            x-parser-schema-id: <anonymous-schema-45>
        x-parser-schema-id: WebsocketHeaders
      query:
        type: object
        properties:
          region:
            type: string
            description: >-
              Target region override as a query parameter. Auto-selected if not
              provided. Equivalent to the `X-Region-Override` header; the header
              takes precedence when both are set.
            enum:
              - ap-southeast-2
              - eu-north-1
              - us-east-1
            x-parser-schema-id: <anonymous-schema-46>
          world-part:
            type: string
            description: >-
              Target world part override as a query parameter. Auto-selected if
              not provided. Equivalent to the `X-World-Part-Override` header;
              the header takes precedence when both are set.
            enum:
              - ap
              - eu
              - na
            x-parser-schema-id: <anonymous-schema-47>
        x-parser-schema-id: WebsocketQueryParams
    schemaProperties:
      - name: method
        type: string
        description: GET
        required: false
      - name: headers
        type: object
        required: false
        properties:
          - name: X-Region-Override
            type: string
            description: Target region override. Auto-selected if not provided.
            required: false
          - name: X-World-Part-Override
            type: string
            description: Target world part override. Auto-selected if not provided.
            required: false
      - name: query
        type: object
        required: false
        properties:
          - name: region
            type: string
            description: >-
              Target region override as a query parameter. Auto-selected if not
              provided. Equivalent to the `X-Region-Override` header; the header
              takes precedence when both are set.
            enumValues:
              - ap-southeast-2
              - eu-north-1
              - us-east-1
            required: false
          - name: world-part
            type: string
            description: >-
              Target world part override as a query parameter. Auto-selected if
              not provided. Equivalent to the `X-World-Part-Override` header;
              the header takes precedence when both are set.
            enumValues:
              - ap
              - eu
              - na
            required: false
operations:
  - &ref_2
    id: jambonzSttBridgeReceiveStart
    title: Jambonz stt bridge receive start
    description: Start session on Jambonz STT Bridge
    type: receive
    messages:
      - &ref_6
        id: JambonzStartMessage
        contentType: application/json
        payload:
          - name: Start Message
            description: >-
              Initialize Jambonz STT session with language and audio
              configuration.
            type: object
            properties:
              - name: type
                type: string
                description: start
                required: true
              - name: language
                type: string
                description: ISO-639-1 language code.
                enumValues:
                  - en
                  - ja
                  - zh
                  - de
                  - hi
                  - fr
                  - ko
                  - pt
                  - it
                  - es
                  - id
                  - nl
                  - tr
                  - fil
                  - pl
                  - sv
                  - bg
                  - ro
                  - ar
                  - cs
                  - el
                  - fi
                  - hr
                  - ms
                  - sk
                  - da
                  - ta
                  - uk
                  - ru
                  - hu
                  - 'no'
                  - vi
                required: false
              - name: format
                type: string
                description: Audio format descriptor.
                enumValues:
                  - raw
                required: false
              - name: encoding
                type: string
                description: Audio encoding for streamed frames.
                enumValues:
                  - LINEAR16
                required: true
              - name: sampleRateHz
                type: number
                description: Audio sample rate in Hz.
                enumValues:
                  - 8000
                  - 16000
                required: false
              - name: interimResults
                type: boolean
                description: Enable interim (partial) transcription results.
                required: false
              - name: hints
                type: array
                description: Speech recognition hints/phrases.
                required: false
                properties:
                  - name: item
                    type: string
                    required: false
              - name: boostValues
                type: array
                description: Boost values corresponding to hints.
                required: false
                properties:
                  - name: item
                    type: number
                    required: false
        headers: []
        jsonPayloadSchema:
          type: object
          description: Initialize STT session with language and audio configuration.
          required:
            - type
            - encoding
          properties:
            type:
              type: string
              const: start
              x-parser-schema-id: <anonymous-schema-2>
            language: &ref_1
              type: string
              description: ISO-639-1 language code.
              enum:
                - en
                - ja
                - zh
                - de
                - hi
                - fr
                - ko
                - pt
                - it
                - es
                - id
                - nl
                - tr
                - fil
                - pl
                - sv
                - bg
                - ro
                - ar
                - cs
                - el
                - fi
                - hr
                - ms
                - sk
                - da
                - ta
                - uk
                - ru
                - hu
                - 'no'
                - vi
              x-parser-schema-id: LanguageCode
            format:
              type: string
              description: Audio format descriptor.
              enum:
                - raw
              x-parser-schema-id: <anonymous-schema-3>
            encoding:
              type: string
              description: Audio encoding for streamed frames.
              enum:
                - LINEAR16
              x-parser-schema-id: <anonymous-schema-4>
            sampleRateHz:
              type: number
              description: Audio sample rate in Hz.
              enum:
                - 8000
                - 16000
              x-parser-schema-id: <anonymous-schema-5>
            interimResults:
              type: boolean
              description: Enable interim (partial) transcription results.
              x-parser-schema-id: <anonymous-schema-6>
            hints:
              type: array
              description: Speech recognition hints/phrases.
              items:
                type: string
                x-parser-schema-id: <anonymous-schema-8>
              x-parser-schema-id: <anonymous-schema-7>
            boostValues:
              type: array
              description: Boost values corresponding to hints.
              items:
                type: number
                x-parser-schema-id: <anonymous-schema-10>
              x-parser-schema-id: <anonymous-schema-9>
          x-parser-schema-id: <anonymous-schema-1>
        title: Start Message
        description: Initialize Jambonz STT session with language and audio configuration.
        example: |-
          {
            "type": "start",
            "language": "en-US",
            "format": "raw",
            "encoding": "LINEAR16",
            "sampleRateHz": 8000,
            "interimResults": true
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: JambonzStartMessage
    bindings: []
    extensions: &ref_0
      - id: x-parser-unique-object-id
        value: /v1/bridges/jambonz/stt/{model_variant}
  - &ref_3
    id: jambonzSttBridgeReceiveStop
    title: Jambonz stt bridge receive stop
    description: Stop session on Jambonz STT Bridge
    type: receive
    messages:
      - &ref_7
        id: JambonzStopMessage
        contentType: application/json
        payload:
          - name: Stop Message
            description: End the Jambonz STT session and finalize transcription.
            type: object
            properties:
              - name: type
                type: string
                description: stop
                required: true
        headers: []
        jsonPayloadSchema:
          type: object
          description: End the STT session and finalize transcription.
          required:
            - type
          properties:
            type:
              type: string
              const: stop
              x-parser-schema-id: <anonymous-schema-12>
          x-parser-schema-id: <anonymous-schema-11>
        title: Stop Message
        description: End the Jambonz STT session and finalize transcription.
        example: |-
          {
            "type": "stop"
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: JambonzStopMessage
    bindings: []
    extensions: *ref_0
  - &ref_4
    id: jambonzSttBridgeSendTranscription
    title: Jambonz stt bridge send transcription
    description: Receive transcription from Jambonz STT Bridge
    type: send
    messages:
      - &ref_8
        id: JambonzTranscription
        contentType: application/json
        payload:
          - name: Transcription
            description: Transcription result with alternatives and metadata.
            type: object
            properties:
              - name: type
                type: string
                description: transcription
                required: true
              - name: is_final
                type: boolean
                description: Whether this is a final (not interim) transcription.
                required: true
              - name: alternatives
                type: array
                description: List of transcription alternatives ranked by confidence.
                required: true
                properties:
                  - name: confidence
                    type: number
                    description: Confidence score (0-1).
                    required: false
                  - name: transcript
                    type: string
                    description: Transcribed text.
                    required: false
              - name: channel
                type: integer
                description: Audio channel number.
                required: false
              - name: language
                type: string
                description: ISO-639-1 language code.
                enumValues:
                  - en
                  - ja
                  - zh
                  - de
                  - hi
                  - fr
                  - ko
                  - pt
                  - it
                  - es
                  - id
                  - nl
                  - tr
                  - fil
                  - pl
                  - sv
                  - bg
                  - ro
                  - ar
                  - cs
                  - el
                  - fi
                  - hr
                  - ms
                  - sk
                  - da
                  - ta
                  - uk
                  - ru
                  - hu
                  - 'no'
                  - vi
                required: false
        headers: []
        jsonPayloadSchema:
          type: object
          description: Transcription result with alternatives and metadata.
          required:
            - type
            - is_final
            - alternatives
          properties:
            type:
              type: string
              const: transcription
              x-parser-schema-id: <anonymous-schema-14>
            is_final:
              type: boolean
              description: Whether this is a final (not interim) transcription.
              x-parser-schema-id: <anonymous-schema-15>
            alternatives:
              type: array
              description: List of transcription alternatives ranked by confidence.
              items:
                type: object
                properties:
                  confidence:
                    type: number
                    description: Confidence score (0-1).
                    x-parser-schema-id: <anonymous-schema-18>
                  transcript:
                    type: string
                    description: Transcribed text.
                    x-parser-schema-id: <anonymous-schema-19>
                x-parser-schema-id: <anonymous-schema-17>
              x-parser-schema-id: <anonymous-schema-16>
            channel:
              type: integer
              description: Audio channel number.
              x-parser-schema-id: <anonymous-schema-20>
            language: *ref_1
          x-parser-schema-id: <anonymous-schema-13>
        title: Transcription
        description: Transcription result with alternatives and metadata.
        example: |-
          {
            "type": "transcription",
            "is_final": false,
            "alternatives": [
              {
                "confidence": 0.85,
                "transcript": "Hello"
              }
            ],
            "channel": 0
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: JambonzTranscription
    bindings: []
    extensions: *ref_0
  - &ref_5
    id: jambonzSttBridgeSendError
    title: Jambonz stt bridge send error
    description: Receive error from Jambonz STT Bridge
    type: send
    messages:
      - &ref_9
        id: JambonzSTTErrorResponse
        contentType: application/json
        payload:
          - name: Error Response (Jambonz STT)
            description: Error occurred during Jambonz STT recognition.
            type: object
            properties:
              - name: type
                type: string
                description: error
                required: true
              - name: error
                type: string
                description: Human-readable error description.
                required: true
        headers: []
        jsonPayloadSchema:
          type: object
          description: Error occurred during recognition.
          required:
            - type
            - error
          properties:
            type:
              type: string
              const: error
              x-parser-schema-id: <anonymous-schema-22>
            error:
              type: string
              description: Human-readable error description.
              x-parser-schema-id: <anonymous-schema-23>
          x-parser-schema-id: <anonymous-schema-21>
        title: Error Response (Jambonz STT)
        description: Error occurred during Jambonz STT recognition.
        example: |-
          {
            "type": "error",
            "error": "Upstream transcription service unavailable"
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: JambonzSTTErrorResponse
    bindings: []
    extensions: *ref_0
sendOperations:
  - *ref_2
  - *ref_3
receiveOperations:
  - *ref_4
  - *ref_5
sendMessages:
  - *ref_6
  - *ref_7
receiveMessages:
  - *ref_8
  - *ref_9
extensions:
  - id: x-parser-unique-object-id
    value: /v1/bridges/jambonz/stt/{model_variant}
securitySchemes:
  - id: bearer
    name: bearer
    type: http
    description: >
      API key issued by SLNG. Pass as `Authorization: Bearer <token>` in the
      WebSocket upgrade request headers.
    scheme: bearer
    extensions: []

````